"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const spawn = require('child-process-promise').spawn;
// Initialize Messages with the current plugin directory
command_1.core.Messages.importMessagesDirectory(__dirname);
// Load the specific messages for this file. Messages from @salesforce/command, @salesforce/core,
// or any library that is using the messages framework can also be loaded this way.
const messages = command_1.core.Messages.loadMessages('sfpowerkit', 'sandbox_refresh');
class Usage extends command_1.SfdxCommand {
    async run() {
        const devhub_username = this.flags.targetdevhubusername;
        // Split arguments to use spawn
        const args = [];
        args.push('force:data:soql:query');
        //query
        args.push('-q');
        args.push(`SELECT count(id) In_Use, createdby.name FROM ActiveScratchOrg group by createdby.name`);
        args.push('-u');
        args.push(devhub_username);
        await spawn('sfdx', args, { stdio: 'inherit' });
        return 1;
    }
}
Usage.description = messages.getMessage('commandDescription');
Usage.examples = [
    `$ sfdx sfpowerkit:org:scratchorg:usage -v devhub
    SCRATCH_ORGS_USED  NAME
    ─────────────────  ─────────────────
    2                  XYZ
    2                  JFK
    Total number of records retrieved: 4.
  `
];
// Comment this out if your command does not require a hub org username
Usage.requiresDevhubUsername = true;
exports.default = Usage;
//# sourceMappingURL=usage.js.map